CREATE TABLE LOTES_UNIDADES_MACRO (
    CODIGO DM_CODIGOINTEIRO,
	CODIGOEMPRESA DM_CODIGOINTEIRO,
    DESCRICAO DM_DESCRICAO NOT NULL,
    APAGADO DM_LOGICO);

ALTER TABLE LOTES_UNIDADES_MACRO
ADD CONSTRAINT PK_LOTES_UNIDADES_MACRO
PRIMARY KEY (CODIGO);

ALTER TABLE LOTES_UNIDADES_MACRO
ADD CONSTRAINT FK_LOTES_UNIDADES_MACRO_EMPRESA
FOREIGN KEY (CODIGOEMPRESA)
REFERENCES EMPRESAS(CODIGO)
ON DELETE CASCADE;

CREATE SEQUENCE GEN_LOTES_UNIDADES_MACRO;

SET TERM ^ ;

CREATE TRIGGER LOTES_UNIDADES_MACRO_GEN FOR LOTES_UNIDADES_MACRO
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
  IF (NEW.CODIGO IS NULL) THEN
    NEW.CODIGO = GEN_ID(GEN_LOTES_UNIDADES_MACRO,1);
END^

SET TERM ; ^

COMMENT ON TABLE LOTES_UNIDADES_MACRO IS '24.09.2020 - Vitorino: Tabela informará a unidade MACRO em que um lote foi cadastrado';